<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/sticker_store_row_container"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:focusable="true"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:id="@+id/card_view"
        android:layout_width="200dp"
        android:layout_height="200dp"
        android:layout_gravity="center"
        android:orientation="vertical"
        app:cardBackgroundColor="#C2CFFF"
        app:cardUseCompatPadding="true"
        card_view:cardCornerRadius="5dp"
        card_view:cardElevation="5dp">

        <ImageView
            android:id="@+id/add_button_on_list"
            android:layout_width="0dp"
            android:layout_height="00dp"
            android:layout_marginStart="0dp"
            android:layout_marginLeft="0dp"
            android:layout_marginTop="0dp"
            android:layout_marginBottom="0dp"
            android:background="?attr/selectableItemBackground"
            android:contentDescription="@string/add_button_content_description"
            android:scaleType="center"
            android:src="@android:drawable/stat_sys_download"
            android:tint="@color/colorAccent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <LinearLayout
            android:id="@+id/sticker_pack_info"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="0dp"
            android:layout_marginLeft="8dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal"
            android:paddingLeft="10dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/sticker_pack_title"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center_vertical"
                android:textStyle="bold"
                android:gravity="center_vertical"
                android:textColor="@android:color/black"
                android:textSize="16sp"
                tools:text="Sticker Pack" />

            <TextView
                android:id="@+id/sticker_pack_publisher"
                style="@style/sticker_packs_list_item_author_style"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:layout_marginLeft="8dp"
                android:gravity="center_vertical"
                android:visibility="gone"
                tools:text="petellison" />

        </LinearLayout>


        <TextView
            android:id="@+id/txtmsg"
            android:layout_width="match_parent"
            android:layout_height="64dp"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="60dp"
            android:layout_marginRight="60dp"
            android:layout_marginBottom="8dp"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintEnd_toStartOf="@id/add_button_on_list"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/sticker_pack_info" />

        <!--        <LinearLayout-->
        <!--            android:id="@+id/sticker_packs_list_item_image_list"-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:layout_marginEnd="30dp"-->
        <!--            android:layout_marginRight="60dp"-->
        <!--            android:minHeight="50dp"-->
        <!--            android:layout_marginTop="30dp"-->
        <!--            android:layout_marginBottom="10dp"-->
        <!--            android:paddingLeft="10dp"-->
        <!--            android:orientation="vertical" />-->

        <GridLayout
            android:id="@+id/imageGridview"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="5dp"
            android:layout_marginTop="30dp"
            android:layout_marginEnd="5dp"
            android:layout_marginBottom="10dp"
            android:columnCount="2"
            android:minHeight="50dp"
            android:orientation="vertical"
            android:rowCount="2"
            android:visibility="visible">

            <com.makeramen.roundedimageview.RoundedImageView
                android:id="@+id/firstItemOfGridview"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_rowWeight="1"
                android:scaleType="fitCenter"
                app:riv_corner_radius="5dp"
                android:layout_columnWeight="1"
                android:layout_margin="5dp"
                tools:src="@tools:sample/backgrounds/scenic" />

            <com.makeramen.roundedimageview.RoundedImageView
                android:id="@+id/secondItemOfGridview"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_rowWeight="1"
                android:layout_columnWeight="1"
                android:scaleType="fitCenter"
                app:riv_corner_radius="5dp"
                android:layout_margin="5dp"
                tools:src="@tools:sample/backgrounds/scenic" />

            <com.makeramen.roundedimageview.RoundedImageView
                android:id="@+id/thirdItemOfGridview"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_rowWeight="1"
                android:scaleType="fitCenter"
                app:riv_corner_radius="5dp"
                android:layout_columnWeight="1"
                android:layout_margin="6dp"
                tools:src="@tools:sample/backgrounds/scenic" />

            <com.makeramen.roundedimageview.RoundedImageView
                android:id="@+id/fourthItemOfGridview"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:scaleType="fitCenter"
                app:riv_corner_radius="5dp"
                android:layout_rowWeight="1"
                android:layout_columnWeight="1"
                android:layout_margin="6dp"
                tools:src="@tools:sample/backgrounds/scenic" />

        </GridLayout>

    </androidx.cardview.widget.CardView>
</RelativeLayout>
